Summary
Get compliance report metadata for a batch.
Description
Get compliance report metadata by batch ID.
Route
GET /configuration_manager/json_compliance_reports/batch/:batchId
Roles
admin
apiread
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| batchId |
string |
yes |
- |
Copied to Clipboard
{
"type": "object",
"properties": {},
"required": [],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| complianceHistory |
array |
- |
Copied to Clipboard
[
{
"id": "5c35355dbebaa82eaf8113f0",
"batchId": "5c35355dbebaa82eaf8113f0",
"treeId": "5c35355dbebaa82eaf8113f0",
"version": "draft v4",
"nodePath": "base/US East/Atlanta",
"deviceName": "xr9kv-atl",
"timestamp": "2019-04-12T14:42:47.958Z",
"totals": {
"errors": 26317618,
"warnings": 82043160,
"infos": 8017474,
"passes": 62943046
}
},
{
"id": "5c35355dbebaa82eaf8113f0",
"batchId": "5c35355dbebaa82eaf8113f0",
"treeId": "5c35355dbebaa82eaf8113f0",
"version": "v3",
"nodePath": "base/US East",
"deviceName": "xr9kv-atl",
"timestamp": "2019-04-12T14:42:47.958Z",
"totals": {
"errors": 74954756,
"warnings": 61153443,
"infos": 98167025,
"passes": 15470364
}
},
{
"id": "5c35355dbebaa82eaf8113f0",
"batchId": "5c35355dbebaa82eaf8113f0",
"treeId": "5c35355dbebaa82eaf8113f0",
"version": "initial",
"nodePath": "base",
"deviceName": "xr9kv-atl",
"timestamp": "2019-04-12T14:42:47.958Z",
"totals": {
"errors": 56098545,
"warnings": 39705971,
"infos": 84528032,
"passes": 66865708
}
},
{
"id": "5c35355dbebaa82eaf8113f0",
"batchId": "5c35355dbebaa82eaf8113f0",
"treeId": "5c35355dbebaa82eaf8113f0",
"version": "initial",
"nodePath": "base/US East",
"deviceName": "xr9kv-atl",
"timestamp": "2019-04-12T14:42:47.958Z",
"totals": {
"errors": 54481410,
"warnings": 5478896,
"infos": 85964577,
"passes": 26695616
}
}
]